"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.globalPackageJSON = void 0;
const execa_1 = require("execa");
async function globalPackageJSON(packageManager) {
    const commands = {
        npm: 'npm ls -g --depth=0 --json',
    };
    const { stdout: globalDepsJSON } = await execa_1.command(commands[packageManager]);
    const globalDeps = JSON.parse(globalDepsJSON);
    return Object.entries(globalDeps.dependencies).reduce((minimalPackageJSON, [depName, dep]) => {
        minimalPackageJSON.dependencies[depName] = dep.version;
        return minimalPackageJSON;
    }, { dependencies: {} });
}
exports.globalPackageJSON = globalPackageJSON;
