"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pruneTempLocation = exports.saveMinimalPackageJSON = exports.createTempLocations = void 0;
const fs_extra_1 = require("fs-extra");
const os_1 = require("os");
const path_1 = require("path");
const executionTimestamp = Date.now();
async function tmpDirRealPath() {
    return `${path_1.join(await fs_extra_1.realpath(os_1.tmpdir()), 'npm-global-audit', `audit-${executionTimestamp}`)}`;
}
async function createTempLocations() {
    const tempDirectory = await tmpDirRealPath();
    await fs_extra_1.ensureDir(tempDirectory);
    return { tmpDir: tempDirectory, packageJSON: path_1.join(tempDirectory, 'package.json') };
}
exports.createTempLocations = createTempLocations;
async function saveMinimalPackageJSON(path, packageJSON) {
    await fs_extra_1.writeJSON(path, Object.assign({ license: 'UNLICENSED' }, packageJSON), { encoding: 'utf8', spaces: 2 });
}
exports.saveMinimalPackageJSON = saveMinimalPackageJSON;
async function pruneTempLocation() {
    const tmpInstallDir = path_1.join(await tmpDirRealPath(), 'node_modules');
    if (await fs_extra_1.pathExists(tmpInstallDir)) {
        await fs_extra_1.emptyDir(tmpInstallDir);
        await fs_extra_1.rmdir(tmpInstallDir);
    }
}
exports.pruneTempLocation = pruneTempLocation;
