"use strict";
const command_1 = require("@oclif/command");
const audit_1 = require("./audit");
class Audit extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(Audit);
        const auditResult = await audit_1.performAudit(flags.auditor);
        if (auditResult.exitCode === 0) {
            this.log(auditResult.message);
        }
        else {
            this.error(auditResult.message, { exit: auditResult.exitCode });
        }
    }
}
Audit.description = 'perform an audit of globally installed node_modules';
Audit.flags = {
    auditor: command_1.flags.enum({
        options: ['yarn', 'npm'],
        default: 'yarn',
        char: 'a',
        description: 'which package manager should perform the audit of the global node modules',
    }),
    version: command_1.flags.version({ char: 'v' }),
    help: command_1.flags.help({ char: 'h' }),
};
Audit.args = [];
module.exports = Audit;
